Name:       transmission-remote-cli
Version:    1.4.7
Release:    alt1_2
Summary:    A console interface for the Transmission BitTorrent client

Group:      Networking/WWW
License:    GPLv3+
URL:        https://github.com/fagga/transmission-remote-cli
# The source was pulled from the upstream git. The following is the direct
# link to the required version.
# https://raw.github.com/fagga/transmission-remote-cli/477a41949590d58a74be470927e82fcef1b36ece/transmission-remote-cli.py
Source0:    %{name}-%{version}.tar.gz
Source1:    %{name}.1

#VCS: git://github.com/fagga/transmission-remote-cli.git
BuildArch:  noarch
Requires:   transmission-daemon >= 1.90
Source44: import.info

%description
Simple command line interface using ncurses for the Transmission BitTorrent
client. It is an alternative to Transmission cli and can be used to control
local and remote instances of the Transmission daemon.

%prep
%setup -q

%build
#empty build

%install
# Script
install -Dpm 755 %{name}.py %{buildroot}%{_bindir}/%{name}
# Documentation
install -Dpm 644 README.md %{buildroot}%{_docdir}/%{name}-%{version}/README.md
# Man page
mkdir -p %{buildroot}%{_mandir}/man1/
gzip %{name}.1
install -Dpm 644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
# Bash tab completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -Dpm 644 transmission-remote-cli-bash-completion.sh %{buildroot}%{_sysconfdir}/bash_completion.d/transmission-remote-cli-bash-completion.sh

%files
%doc COPYING README.md NEWS
%{_bindir}/transmission-remote-cli
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/bash_completion.d/transmission-remote-cli-bash-completion.sh

%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.7-alt1_2
- initial fc import

